base-compat-0.12.1: A compatibility layer for base

Safe Haskell | Safe-Inferred
Language | Haskell2010

Foreign.Marshal.Alloc.Compat

Synopsis

- module Foreign.Marshal.Alloc
- calloc :: Storable a => IO (Ptr a)
- callocBytes :: Int -> IO (Ptr a)

# Documentation

module Foreign.Marshal.Alloc

calloc :: Storable a => IO (Ptr a) #

Like `malloc` but memory is filled with bytes of value zero.

callocBytes :: Int -> IO (Ptr a) #

Llike `mallocBytes` but memory is filled with bytes of value zero.